# 2dxAutoClip

Tiny (<1mb without ffmpeg binary), portable c# application made to record and save clips of your beatmania IIDX sessions. Ships with a prebuilt version of [FFMPEG](https://github.com/FFmpeg/FFmpeg/tree/master) for easier usage.
Prebuilt binaries are available as releases, and they get updated every few commits.

## Custom Settings:
Version 0.0.4 and onwards will allow for some flexibility in the settings.
the new [prop](https://git.mercurio.moe/Mercury/2dxAutoClip/src/branch/main/2dxAutoClip/artifacts/prop.txt) file will allwo the user to finely tune some settings such as recording resolution (older styles might be better off recorded at 720p or lower), the Constant Rate Factor (CRF) that dictates the quality and speed of the recording, although we suggest keeping it at default, and the framerate of the source video, again, we suggest keeping it at either 60 or 120 since the final export will force it back to 60.
This version also allows the user to switch to recording `spice` instead of `spice64` for the aforementioned older styles 

## Requirements:
- A fairly modern beatmania iidx install running [TickerHook](https://github.com/Radioo/TickerHook). All credit goes to original author
- About 150mb to extract the precompiled version of the application
- .net 8 if you'd rather build the app on your own

## Licensing:

All the code inside the repository is licensed under GPL3, FFMPEG follows this [licensing](https://github.com/FFmpeg/FFmpeg/blob/master/LICENSE.md). 